org.eclipse.jetty.servlet

## Class Invoker

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.eclipse.jetty.servlet.Invoker

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class Invoker
    extends javax.servlet.http.HttpServlet

Dynamic Servlet Invoker. This servlet invokes anonymous servlets that have not been defined in the web.xml or by other means. The first element of the pathInfo of a request passed to the envoker is treated as a servlet name for an existing servlet, or as a class name of a new servlet. This servlet is normally mapped to /servlet/* This servlet support the following initParams:

      nonContextServlets       If false, the invoker can only load
                               servlets from the contexts classloader.
                               This is false by default and setting this
                               to true may have security implications.

      verbose                  If true, log dynamic loads

      *                        All other parameters are copied to the
                               each dynamic servlet as init parameters

Version:
  $Id: Invoker.java 4780 2009-03-17 15:36:08Z jesse $
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Invoker()`

### Method Summary

Methods
`void` `init()`
`protected void` `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Invoker

    public Invoker()

### Method Detail

#### init

    public void init()

Overrides:
  `init` in class `javax.servlet.GenericServlet`

#### service

    protected void service(javax.servlet.http.HttpServletRequest request,
               javax.servlet.http.HttpServletResponse response)
                    throws javax.servlet.ServletException,
                           IOException

Overrides:
  `service` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`